#include "testlib.h"
#include <algorithm>

using namespace std;

long long gcd(long long a, long long b) {
	while (b) {
		a %= b;
		swap(a, b);
	}
	return a;
}

int parse(InStream& stream, long long& l, long long& r) {
	long long a = stream.readLong(l, r, "a");
	long long b = stream.readLong(l, r, "b");
	if (a == b) stream.quitf(_wa, "repeating numbers");
	return gcd(a, b);
}

int main(int argc, char * argv[]) {
	registerTestlibCmd(argc, argv);
	
	long long l = inf.readLong();
	long long r = inf.readLong();
	
	long long js = parse(ans, l, r);
	long long cs = parse(ouf, l, r);
	
	if (js < cs) quitf(_fail, "jury is bad");
	if (js == cs) quitf(_ok, "ok");
	else quitf(_wa, "you are bad");
	
	return 0;
}